Debian Bug report logs - #653903
transition: qt4-x11 multiarch

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Fathi Boudra <fabo@debian.org>

Date: Sun, 1 Jan 2012 11:24:02 UTC

Severity: normal

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Sun, 01 Jan 2012 11:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fathi Boudra <fabo@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 01 Jan 2012 11:24:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: qt4-x11 multiarch
Date: Sun, 01 Jan 2012 13:21:09 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

I would like to prepare Qt multiarch transition.

An initial mail has been sent to pkg-kde-talk mailing list[1] and a wiki
page[2] is available to track our progress.

The transition could happen once Qt 4.7.4/QtWebKit 2.2.0 migrate to
testing. Qt 4.8.0/QtWebKit 2.2.1 with multiarch support have been
uploaded to experimental. Some other packages will be uploaded to
experimental.

Cheers,

Fathi

[1] http://lists.alioth.debian.org/pipermail/pkg-kde-talk/2011-September/001636.html
[2] http://wiki.debian.org/QtMultiarchTransition

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Sun, 01 Jan 2012 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 01 Jan 2012 14:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 653903@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Fathi Boudra <fabo@debian.org>, 653903@bugs.debian.org
Subject: Re: Bug#653903: transition: qt4-x11 multiarch
Date: Sun, 1 Jan 2012 15:33:55 +0100
On Sun, Jan  1, 2012 at 13:21:09 +0200, Fathi Boudra wrote:

> I would like to prepare Qt multiarch transition.
> 
Why does this affect more than Qt itself?  I couldn't find an
explanation of what "affected packages" means in your wiki page.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Sun, 01 Jan 2012 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fathi Boudra <fabo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 01 Jan 2012 15:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 653903@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 653903@bugs.debian.org
Subject: Re: Bug#653903: transition: qt4-x11 multiarch
Date: Sun, 1 Jan 2012 17:10:26 +0200
On Sun, Jan 1, 2012 at 4:33 PM, Julien Cristau <jcristau@debian.org> wrote:
> On Sun, Jan  1, 2012 at 13:21:09 +0200, Fathi Boudra wrote:
>
>> I would like to prepare Qt multiarch transition.
>>
> Why does this affect more than Qt itself?  I couldn't find an
> explanation of what "affected packages" means in your wiki page.

"pure" Qt packages using QMake build system have QT_INSTALL_PLUGINS
and QT_INSTALL_LIBS set to multiarch paths [1].
In the best case, only binNMU is needed. In the worst, *.install files
need to be updated.

The list of "affected packages" isn't based on reverse dependencie as
we usually do for library transition with binary incompatibility, but
on the usage of these variables by the build system. We have also some
packages using CMake like kde4libs that relies on the same variables.

hope it answers the question.

[1]
$ qmake -query
QT_INSTALL_PREFIX:/usr
QT_INSTALL_DATA:/usr/share/qt4
QT_INSTALL_DOCS:/usr/share/qt4/doc
QT_INSTALL_HEADERS:/usr/include/qt4
QT_INSTALL_LIBS:/usr/lib/x86_64-linux-gnu
QT_INSTALL_BINS:/usr/bin
QT_INSTALL_PLUGINS:/usr/lib/x86_64-linux-gnu/qt4/plugins
QT_INSTALL_IMPORTS:/usr/lib/qt4/imports
QT_INSTALL_TRANSLATIONS:/usr/share/qt4/translations
QT_INSTALL_CONFIGURATION:/etc/xdg
QT_INSTALL_EXAMPLES:/usr/lib/qt4/examples
QT_INSTALL_DEMOS:/usr/lib/qt4/demos
QMAKE_MKSPECS:/usr/share/qt4/mkspecs
QMAKE_VERSION:2.01a
QT_VERSION:4.8.0




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Mon, 02 Jan 2012 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 02 Jan 2012 21:27:04 GMT) Full text and rfc822 format available.

Message #20 received at 653903@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Fathi Boudra <fabo@debian.org>, 653903@bugs.debian.org
Subject: Re: Bug#653903: transition: qt4-x11 multiarch
Date: Mon, 2 Jan 2012 22:20:26 +0100
Hi

On Sun, Jan 01, 2012 at 01:21:09PM +0200, Fathi Boudra wrote:
> An initial mail has been sent to pkg-kde-talk mailing list[1] and a wiki
> page[2] is available to track our progress.
> 
> The transition could happen once Qt 4.7.4/QtWebKit 2.2.0 migrate to
> testing. Qt 4.8.0/QtWebKit 2.2.1 with multiarch support have been
> uploaded to experimental. Some other packages will be uploaded to
> experimental.
[...]
> [2] http://wiki.debian.org/QtMultiarchTransition

Why did you only refer to cmake etc. using packages and not for packages
with "normal" ./configure etc.? Did you try to rebuild them? Especially
if they need stuff like $QT4DIR etc which seems quite common?

At least libreoffice will need the following patch to not FTBFS:
http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git;a=blob;f=patches/add-debian-multiarch-support.diff;h=1f008fba369b12dfa2cd5cd24b857c88b7437390;hb=bb597a0f8da425207a09a2986d8e23e36cd99d1c 

(Will cherry-pick.)

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Tue, 03 Jan 2012 07:42:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fathi Boudra <fabo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 03 Jan 2012 07:42:26 GMT) Full text and rfc822 format available.

Message #25 received at 653903@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: Rene Engelhard <rene@debian.org>
Cc: 653903@bugs.debian.org
Subject: Re: Bug#653903: transition: qt4-x11 multiarch
Date: Tue, 3 Jan 2012 09:39:32 +0200
Hi Rene,

On Mon, Jan 2, 2012 at 11:20 PM, Rene Engelhard wrote:
> Hi
>
> On Sun, Jan 01, 2012 at 01:21:09PM +0200, Fathi Boudra wrote:
>> An initial mail has been sent to pkg-kde-talk mailing list[1] and a wiki
>> page[2] is available to track our progress.
>>
>> The transition could happen once Qt 4.7.4/QtWebKit 2.2.0 migrate to
>> testing. Qt 4.8.0/QtWebKit 2.2.1 with multiarch support have been
>> uploaded to experimental. Some other packages will be uploaded to
>> experimental.
> [...]
>> [2] http://wiki.debian.org/QtMultiarchTransition
>
> Why did you only refer to cmake etc. using packages and not for packages
> with "normal" ./configure etc.?

In Qt world, "normal" build system are qmake/cmake and are more the
most relevant.
Software using autotools are most likely always using a custom rule to
get Qt related information and build.

> Did you try to rebuild them? Especially
> if they need stuff like $QT4DIR etc which seems quite common?

No, I didn't tried to rebuild these cases. As mentioned, they aren't
common, but that's not the point.
You're right, I should cover them as well.

> At least libreoffice will need the following patch to not FTBFS:
> http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git;a=blob;f=patches/add-debian-multiarch-support.diff;h=1f008fba369b12dfa2cd5cd24b857c88b7437390;hb=bb597a0f8da425207a09a2986d8e23e36cd99d1c
>
> (Will cherry-pick.)

IMO, this patch is incorrect (and can't be upstreamed btw), you should
rely on qmake and in your case and grab the output of `qmake -query
QT_INSTALL_LIBS`

> Regards,
>
> Rene

Thanks for the reminder, I missed to cover packages using autotools.

Cheers,

Fathi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Sat, 03 Mar 2012 13:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 13:57:08 GMT) Full text and rfc822 format available.

Message #30 received at 653903@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Fathi Boudra <fabo@debian.org>, 653903@bugs.debian.org
Subject: Re: Bug#653903: transition: qt4-x11 multiarch
Date: Sat, 3 Mar 2012 14:56:24 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan  1, 2012 at 13:21:09 +0200, Fathi Boudra wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Hi,
> 
> I would like to prepare Qt multiarch transition.
> 
> An initial mail has been sent to pkg-kde-talk mailing list[1] and a wiki
> page[2] is available to track our progress.
> 
> The transition could happen once Qt 4.7.4/QtWebKit 2.2.0 migrate to
> testing. Qt 4.8.0/QtWebKit 2.2.1 with multiarch support have been
> uploaded to experimental. Some other packages will be uploaded to
> experimental.
> 
What's the status here?  Have bugs been filed against the packages that
need changes?  The wiki page lists 5 packages as done, which doesn't
seem much.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Sat, 03 Mar 2012 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <sklist@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 14:45:04 GMT) Full text and rfc822 format available.

Message #35 received at 653903@bugs.debian.org (full text, mbox):

From: Scott Kitterman <sklist@kitterman.com>
To: Julien Cristau <jcristau@debian.org>,653903@bugs.debian.org
Subject: Re: Bug#653903: transition: qt4-x11 multiarch
Date: Sat, 03 Mar 2012 09:33:56 -0500
[Message part 1 (text/plain, inline)]
This transition already got done in Ubuntu, so changes (that will need to be reviewed, of course) are available for substantially all these packages are available.

I'd be glad to help with reviews.

I've uploaded python-qt4 to experimental that supports multi arch. I have the fix for qscintilla2 locally. 
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Wed, 07 Mar 2012 22:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Mar 2012 22:24:09 GMT) Full text and rfc822 format available.

Message #40 received at 653903@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: 653903@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Cc: Fathi Boudra <fabo@debian.org>
Subject: Re: Bug#653903: transition: qt4-x11 multiarch
Date: Wed, 07 Mar 2012 17:21:46 -0500
[Message part 1 (text/plain, inline)]
On Saturday, March 03, 2012 02:56:24 PM Julien Cristau wrote:
...
> What's the status here?  Have bugs been filed against the packages that
> need changes?  The wiki page lists 5 packages as done, which doesn't
> seem much.

It seems ~done at this point.  Much btter than last week.

http://wiki.debian.org/QtMultiarchTransition

Scott K
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 653903 blocks 664681 Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 13:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Sun, 29 Apr 2012 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 29 Apr 2012 16:09:05 GMT) Full text and rfc822 format available.

Message #47 received at 653903@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Fathi Boudra <fabo@debian.org>, 653903@bugs.debian.org
Subject: Re: Bug#653903: transition: qt4-x11 multiarch
Date: Sun, 29 Apr 2012 18:07:15 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jan  1, 2012 at 13:21:09 +0200, Fathi Boudra wrote:

> I would like to prepare Qt multiarch transition.
> 
I think we can go ahead with this now.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 08:42:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Thu, 10 May 2012 17:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 10 May 2012 17:06:06 GMT) Full text and rfc822 format available.

Message #54 received at 653903@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 653903@bugs.debian.org
Subject: qt4-x11 multiarch NMUs
Date: Thu, 10 May 2012 18:56:13 +0200
[Message part 1 (text/plain, inline)]
Hi,

today qt4-x11 & phonon have been aged (on my request, ACKed by Cyril) 
and migrated to testing.
Could you please schedule few binNMUs needed to adapt some (hardcoded, 
sic) .cmake configuration files in -dev packages? They are needed to 
binNMU other qt- and kde- related sources (and help with ongoing 
transitions).

The sources are (take care about the dependencies):
- akonadi
- qt-gstreamer
- libqtzeitgeist
- kdepimlibs (needs binNMUed akonadi)
- pykde4 (needs binNMUed kdepimlibs)

Thanks,
-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Thu, 10 May 2012 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 10 May 2012 23:57:03 GMT) Full text and rfc822 format available.

Message #59 received at 653903@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Pino Toscano <pino@debian.org>, 653903@bugs.debian.org
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Fri, 11 May 2012 01:53:54 +0200
[Message part 1 (text/plain, inline)]
Pino Toscano <pino@debian.org> (10/05/2012):
> The sources are (take care about the dependencies):
> - akonadi
> - qt-gstreamer
> - libqtzeitgeist

qtzeitgeist I guess? ;)

All 3 done for now. Will see whether I fancy relying on my (in)ability
to set proper dep-waits or whether to schedule the remaining ones are
ready. Hopefully that'll help #669098…

> - kdepimlibs (needs binNMUed akonadi)
> - pykde4 (needs binNMUed kdepimlibs)


Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Fri, 11 May 2012 07:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 11 May 2012 07:51:09 GMT) Full text and rfc822 format available.

Message #64 received at 653903@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Pino Toscano <pino@debian.org>, 653903@bugs.debian.org
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Fri, 11 May 2012 09:47:41 +0200
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (11/05/2012):
> > - kdepimlibs (needs binNMUed akonadi)

Just scheduled.

> > - pykde4 (needs binNMUed kdepimlibs)

Next. :)


Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Fri, 11 May 2012 13:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 11 May 2012 13:33:08 GMT) Full text and rfc822 format available.

Message #69 received at 653903@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 653903@bugs.debian.org
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Fri, 11 May 2012 15:28:13 +0200
[Message part 1 (text/plain, inline)]
Alle venerdì 11 maggio 2012, Cyril Brulebois ha scritto:
> Pino Toscano <pino@debian.org> (10/05/2012):
> > The sources are (take care about the dependencies):
> > - akonadi
> > - qt-gstreamer
> > - libqtzeitgeist
> 
> qtzeitgeist I guess? ;)

Yes, sorry,

> All 3 done for now. Will see whether I fancy relying on my
> (in)ability to set proper dep-waits or whether to schedule the
> remaining ones are ready. Hopefully that'll help #669098…

Yes, I should be able to upload qapt soon now.

> > - kdepimlibs (needs binNMUed akonadi)
> > - pykde4 (needs binNMUed kdepimlibs)

I forgot an important one :/ Can you please schedule also kde4libs?

Thanks,
-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Sat, 12 May 2012 13:21:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 12 May 2012 13:22:04 GMT) Full text and rfc822 format available.

Message #74 received at 653903@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Pino Toscano <pino@debian.org>
Cc: 653903@bugs.debian.org
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Sat, 12 May 2012 15:16:28 +0200
[Message part 1 (text/plain, inline)]
Pino Toscano <pino@debian.org> (11/05/2012):
> Yes, I should be able to upload qapt soon now.

Thanks for that one.

> > > - kdepimlibs (needs binNMUed akonadi)

FTBFS due to gcc fun…

> > > - pykde4 (needs binNMUed kdepimlibs)

… so not scheduled.

> I forgot an important one :/ Can you please schedule also kde4libs?

Just done.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Tue, 15 May 2012 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 15 May 2012 19:45:06 GMT) Full text and rfc822 format available.

Message #79 received at 653903@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 653903@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Tue, 15 May 2012 21:42:12 +0200
[Message part 1 (text/plain, inline)]
Hi,

Alle sabato 12 maggio 2012, Cyril Brulebois ha scritto:
> > > > - kdepimlibs (needs binNMUed akonadi)
> 
> FTBFS due to gcc fun…

This is now fixed.

> > > > - pykde4 (needs binNMUed kdepimlibs)
> 
> … so not scheduled.

Could you please schedule it now?
Note that it needs kde4libs >= 4:4.7.4-5, so please add a proper d-w on 
that. On the same reason, kde4libs/mipsel needs updated qtwebkit, so 
maybe a small qtwebkit bump could help things.

Also, you can binNMU (always with the kde4libs d-w constrain above) also 
kde-runtime, and complete the last bit of the exiv2 transition.

Thanks,
-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Tue, 15 May 2012 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 15 May 2012 20:39:05 GMT) Full text and rfc822 format available.

Message #84 received at 653903@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Pino Toscano <pino@debian.org>
Cc: 653903@bugs.debian.org
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Tue, 15 May 2012 22:36:15 +0200
[Message part 1 (text/plain, inline)]
Pino Toscano <pino@debian.org> (15/05/2012):
> > > > > - pykde4 (needs binNMUed kdepimlibs)
> > 
> > … so not scheduled.
> 
> Could you please schedule it now?
> Note that it needs kde4libs >= 4:4.7.4-5, so please add a proper d-w on 
> that.

Scheduled on the archs were kde4libs got built already. Will schedule
the others later.

> On the same reason, kde4libs/mipsel needs updated qtwebkit, so maybe a
> small qtwebkit bump could help things.

Just bumped qtwebkit's bp.

> Also, you can binNMU (always with the kde4libs d-w constrain above) also 
> kde-runtime, and complete the last bit of the exiv2 transition.

Ooh, that is good news. Done under the same conditions as above.

Thanks for the update. Out of curiosity, how many packages are left after
those?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Fri, 18 May 2012 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 18 May 2012 20:21:03 GMT) Full text and rfc822 format available.

Message #89 received at 653903@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 653903@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Fri, 18 May 2012 22:17:19 +0200
[Message part 1 (text/plain, inline)]
Hi,

Alle martedì 15 maggio 2012, Cyril Brulebois ha scritto:
> Thanks for the update. Out of curiosity, how many packages are left
> after those?

I think we are generally done, at least with the binNMUs I am aware of 
wrt problems due to the multiarch library path changes. There's only 
pykde4/armel left to build (it's Needs-Build currently), so a little 
bump for it could shorten its breakage.

The other issue I'm aware of is the qt 4.8 breakage in the plugin 
loading system on 64 bits big endian architectures (so s390x and ppc64); 
this prevents kde4libs (and thus kde-runtime and pykde4 as said to be 
rebuilt in this bug) to compile, and could affect compilation (either 
because of broken multiarch paths in kdelibs5-dev, or because of crashes 
in helper applications that load plugins used during build) of other 
sources. I fixed upstream the issue and the backported patch is already 
in the qt4 packaging repository, just waiting for a less messy situation 
of mysql...

Last, could you please giveback digikam?

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Fri, 18 May 2012 20:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 18 May 2012 20:30:03 GMT) Full text and rfc822 format available.

Message #94 received at 653903@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Pino Toscano <pino@debian.org>
Cc: 653903@bugs.debian.org
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Fri, 18 May 2012 22:27:26 +0200
[Message part 1 (text/plain, inline)]
Hi,

Pino Toscano <pino@debian.org> (18/05/2012):
> I think we are generally done, at least with the binNMUs I am aware of
> wrt problems due to the multiarch library path changes.

great news!

> There's only pykde4/armel left to build (it's Needs-Build currently),
> so a little bump for it could shorten its breakage.

$ wb bp 2000 pykde4 . armel

> The other issue I'm aware of is the qt 4.8 breakage in the plugin
> loading system on 64 bits big endian architectures (so s390x and
> ppc64); this prevents kde4libs (and thus kde-runtime and pykde4 as
> said to be rebuilt in this bug) to compile, and could affect
> compilation (either because of broken multiarch paths in kdelibs5-dev,
> or because of crashes in helper applications that load plugins used
> during build) of other sources. I fixed upstream the issue and the
> backported patch is already in the qt4 packaging repository, just
> waiting for a less messy situation of mysql...

Erm. Must not yell at mysql again.

> Last, could you please giveback digikam?

$ wb gb digikam . ALL . -o

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Thu, 24 May 2012 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 24 May 2012 12:00:06 GMT) Full text and rfc822 format available.

Message #99 received at 653903@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 653903@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Thu, 24 May 2012 13:57:17 +0200
[Message part 1 (text/plain, inline)]
Hi,

Alle venerdì 18 maggio 2012, Cyril Brulebois ha scritto:
> Pino Toscano <pino@debian.org> (18/05/2012):
> > I think we are generally done, at least with the binNMUs I am aware
> > of wrt problems due to the multiarch library path changes.

Well almost, I just found (because of Lucas' rebuilds) two more:
- avogadro
- qtruby

Thanks,
-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Fri, 25 May 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 25 May 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #104 received at 653903@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Pino Toscano <pino@debian.org>, 653903@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Fri, 25 May 2012 18:58:14 +0200
[Message part 1 (text/plain, inline)]
On Thu, May 24, 2012 at 13:57:17 +0200, Pino Toscano wrote:

> Hi,
> 
> Alle venerdì 18 maggio 2012, Cyril Brulebois ha scritto:
> > Pino Toscano <pino@debian.org> (18/05/2012):
> > > I think we are generally done, at least with the binNMUs I am aware
> > > of wrt problems due to the multiarch library path changes.
> 
> Well almost, I just found (because of Lucas' rebuilds) two more:
> - avogadro
> - qtruby
> 
Scheduled.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Sat, 02 Jun 2012 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 02 Jun 2012 21:18:03 GMT) Full text and rfc822 format available.

Message #109 received at 653903@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 653903@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, s390x@buildd.debian.org
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Sat, 2 Jun 2012 23:15:01 +0200
[Message part 1 (text/plain, inline)]
Hi,

Alle venerdì 18 maggio 2012, Pino Toscano ha scritto:
> The other issue I'm aware of is the qt 4.8 breakage in the plugin
> loading system on 64 bits big endian architectures (so s390x and
> ppc64); this prevents kde4libs (and thus kde-runtime and pykde4 as
> said to be rebuilt in this bug) to compile, and could affect
> compilation (either because of broken multiarch paths in
> kdelibs5-dev, or because of crashes in helper applications that load
> plugins used during build) of other sources.

A fixed qt4-x11 has been uploaded few hours ago and compiled fine on 
s390x; a few KDE sources among the failing ones have been given back 
(building fine) already, the only missing bits I can see are
- kde-runtime (so we end the exiv2 transition for real)
- kmymoney
- kraft
so could you (r-t or CCed s390x buildd admins) please binNMU kde-runtime 
for the exiv2 transition and give the other two back?

Cyril, I remember you did a couple of days ago a list of the s390 <-> 
s390x differences; after updating it and considering the packages above, 
which other Qt/KDE sources are left?

Thanks,
-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Sun, 03 Jun 2012 22:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 03 Jun 2012 22:00:05 GMT) Full text and rfc822 format available.

Message #114 received at 653903@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Pino Toscano <pino@debian.org>
Cc: 653903@bugs.debian.org, s390x@buildd.debian.org
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Sun, 3 Jun 2012 23:58:02 +0200
[Message part 1 (text/plain, inline)]
Hi,

Pino Toscano <pino@debian.org> (02/06/2012):
> A fixed qt4-x11 has been uploaded few hours ago and compiled fine on 
> s390x;

thanks. FTBFS on ia64 though, which I'll file right away.

> a few KDE sources among the failing ones have been given back 
> (building fine) already, the only missing bits I can see are
> - kde-runtime (so we end the exiv2 transition for real)
> - kmymoney
> - kraft
> so could you (r-t or CCed s390x buildd admins) please binNMU
> kde-runtime for the exiv2 transition and give the other two back?

just binNMUd kde-runtime; last two are Installed for 21 hours at the
time of this writing.

> Cyril, I remember you did a couple of days ago a list of the s390 <->
> s390x differences; after updating it and considering the packages
> above, which other Qt/KDE sources are left?

Sure; please ping back tomorrow (noonish), and I'll have a look.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Wed, 06 Jun 2012 18:46:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 06 Jun 2012 18:46:55 GMT) Full text and rfc822 format available.

Message #119 received at 653903@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Cyril Brulebois <kibi@debian.org>, 653903@bugs.debian.org
Cc: Pino Toscano <pino@debian.org>, s390x@buildd.debian.org
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Wed, 06 Jun 2012 19:12:25 +0100
On Sun, 2012-06-03 at 23:58 +0200, Cyril Brulebois wrote:
> Pino Toscano <pino@debian.org> (02/06/2012):
> > A fixed qt4-x11 has been uploaded few hours ago and compiled fine on 
> > s390x;
> 
> thanks. FTBFS on ia64 though, which I'll file right away.

Looks like it worked okay on caballero instead.

> > Cyril, I remember you did a couple of days ago a list of the s390 <->
> > s390x differences; after updating it and considering the packages
> > above, which other Qt/KDE sources are left?
> 
> Sure; please ping back tomorrow (noonish), and I'll have a look.

Did you have chance to look at that?  (I'm also thinking in terms of
getting s390x out of fucked_arches.)

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Wed, 06 Jun 2012 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 06 Jun 2012 22:36:03 GMT) Full text and rfc822 format available.

Message #124 received at 653903@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 653903@bugs.debian.org, Pino Toscano <pino@debian.org>, s390x@buildd.debian.org
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Thu, 7 Jun 2012 00:34:48 +0200
[Message part 1 (text/plain, inline)]
Adam D. Barratt <adam@adam-barratt.org.uk> (06/06/2012):
> Did you have chance to look at that? (I'm also thinking in terms of
> getting s390x out of fucked_arches.)

Yes, but nothing obvious at the time (possibly because of a missing
“readybritney” -- which among other things syncs data from the real
britney var/ directory -- plus no dry run for a while).

Way better after a sync: both diffs attached. Mostly ghc/mono/libreoffice
AFAICS for s390*.

Mraw,
KiBi.
[diff.armel-armhf (text/plain, attachment)]
[diff.s390-s390x (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653903; Package release.debian.org. (Sat, 09 Jun 2012 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 09 Jun 2012 21:03:02 GMT) Full text and rfc822 format available.

Message #129 received at 653903@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 653903@bugs.debian.org
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Sat, 9 Jun 2012 23:01:05 +0200
[Message part 1 (text/plain, inline)]
Alle giovedì 7 giugno 2012, Cyril Brulebois ha scritto:
> Adam D. Barratt <adam@adam-barratt.org.uk> (06/06/2012):
> > Did you have chance to look at that? (I'm also thinking in terms of
> > getting s390x out of fucked_arches.)
> 
> Yes, but nothing obvious at the time (possibly because of a missing
> “readybritney” -- which among other things syncs data from the real
> britney var/ directory -- plus no dry run for a while).
> 
> Way better after a sync: both diffs attached. Mostly
> ghc/mono/libreoffice AFAICS for s390*.

It seems there's nothing big left to do regarding this transition 
(unless I'm missing anything); if futher actions will be needed (e.g. 
mostly binNMUs), we can always request them, no?

If you, release-team people, are fine, I think we could finally close 
this ticket and declare qt 4.8 multiarch done.

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sat, 09 Jun 2012 21:45:04 GMT) Full text and rfc822 format available.

Notification sent to Fathi Boudra <fabo@debian.org>:
Bug acknowledged by developer. (Sat, 09 Jun 2012 21:45:11 GMT) Full text and rfc822 format available.

Message #134 received at 653903-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Pino Toscano <pino@debian.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 653903-done@bugs.debian.org
Subject: Re: Bug#653903: qt4-x11 multiarch NMUs
Date: Sat, 9 Jun 2012 23:40:46 +0200
[Message part 1 (text/plain, inline)]
Pino Toscano <pino@debian.org> (09/06/2012):
> It seems there's nothing big left to do regarding this transition
> (unless I'm missing anything); if futher actions will be needed (e.g.
> mostly binNMUs), we can always request them, no?

Sure.

> If you, release-team people, are fine, I think we could finally close
> this ticket and declare qt 4.8 multiarch done.

Doing so, thanks.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Jul 2012 07:34:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:29:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.